package com.gic.haoban.manage.web.vo.content.creative;

import java.io.Serializable;

public class ContentMaterialConvsVO implements Serializable {

    /**
     * 素材id
     */
    private Long contentMaterialId;

    /**
     * 转化人数
     */
    private Integer convsNum = 0;

    /**
     * 转化金额
     */
    private Double convsAmt = 0.0;

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public Integer getConvsNum() {
        return convsNum;
    }

    public void setConvsNum(Integer convsNum) {
        this.convsNum = convsNum;
    }

    public Double getConvsAmt() {
        return convsAmt;
    }

    public void setConvsAmt(Double convsAmt) {
        this.convsAmt = convsAmt;
    }

    public void setConvs(ContentMaterialConvsVO convs) {
        if (convs == null) {
            this.setConvsNum(0);
            this.setConvsAmt(0.0);
            return;
        }
        this.setConvsNum(convs.getConvsNum());
        this.setConvsAmt(convs.getConvsAmt());
    }
}
